CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2008-5658

Directory traversal vulnerability in the ZipArchive::extractTo function in PHP 5.2.6 and earlier allows context-dependent attackers to write arbitrary files via a ZIP file with a file whose name contains .. (dot dot) sequences.
Publish Date : 2008-12-17 Last Update Date : 2009-10-31
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s) Directory traversal
CWE ID 22

- Vendor Statements

This issue did not affect PHP versions as shipped in Red Hat Enterprise Linux 2.1, 3, 4, and 5, and Red Hat Application Stack v1. PHP version in Red Hat Application Stack v2 was fixed via: https://rhn.redhat.com/errata/RHSA-2009-0350.html
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2008-12-04 2008-12-04
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2008-5658 oval:org.opensuse.security:def:20085658 unix
DSA-1789 php5 -- several vulnerabilities oval:org.mitre.oval:def:8164 unix
DSA-1789-1 php5 -- several oval:org.mitre.oval:def:13696 unix
DSA-1940 php5 -- multiple issues oval:org.mitre.oval:def:7890 unix
DSA-1940-1 php5 -- multiple issues oval:org.mitre.oval:def:13519 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2008-5658

# Product Type Vendor Product Version Update Edition Language
1 Application PHP PHP 5.0.0 Beta4 Version Details Vulnerabilities
2 Application PHP PHP 5.0.0 Beta3 Version Details Vulnerabilities
3 Application PHP PHP 5.0.0 Version Details Vulnerabilities
4 Application PHP PHP 5.0.0 Beta2 Version Details Vulnerabilities
5 Application PHP PHP 5.0.0 RC3 Version Details Vulnerabilities
6 Application PHP PHP 5.0.0 Beta1 Version Details Vulnerabilities
7 Application PHP PHP 5.0.0 RC2 Version Details Vulnerabilities
8 Application PHP PHP 5.0.0 RC1 Version Details Vulnerabilities
9 Application PHP PHP 5.0.1 Version Details Vulnerabilities
10 Application PHP PHP 5.0.2 Version Details Vulnerabilities
11 Application PHP PHP 5.0.3 Version Details Vulnerabilities
12 Application PHP PHP 5.0.4 Version Details Vulnerabilities
13 Application PHP PHP 5.0.5 Version Details Vulnerabilities
14 Application PHP PHP 5.1.0 Version Details Vulnerabilities
15 Application PHP PHP 5.1.1 Version Details Vulnerabilities
16 Application PHP PHP 5.1.2 Version Details Vulnerabilities
17 Application PHP PHP 5.1.3 Version Details Vulnerabilities
18 Application PHP PHP 5.1.4 Version Details Vulnerabilities
19 Application PHP PHP 5.1.5 Version Details Vulnerabilities
20 Application PHP PHP 5.1.6 Version Details Vulnerabilities
21 Application PHP PHP 5.2.0 Version Details Vulnerabilities
22 Application PHP PHP 5.2.1 Version Details Vulnerabilities
23 Application PHP PHP 5.2.2 Version Details Vulnerabilities
24 Application PHP PHP 5.2.3 Version Details Vulnerabilities
25 Application PHP PHP 5.2.4 Version Details Vulnerabilities
26 Application PHP PHP 5.2.5 Version Details Vulnerabilities
27 Application PHP PHP 5.2.6 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
PHP PHP 27

- References For CVE-2008-5658

http://osvdb.org/50480
OSVDB 50480
http://marc.info/?l=bugtraq&m=125631037611762&w=2
HP SSRT090192
http://secunia.com/advisories/35003
SECUNIA 35003
http://secunia.com/advisories/35306
SECUNIA 35306
http://secunia.com/advisories/35650
SECUNIA 35650
http://wiki.rpath.com/Advisories:rPSA-2009-0035 CONFIRM
http://www.mandriva.com/security/advisories?name=MDVSA-2009:045
MANDRIVA MDVSA-2009:045
http://www.debian.org/security/2009/dsa-1789
DEBIAN DSA-1789
http://www.openwall.com/lists/oss-security/2008/12/04/3
MLIST [oss-security] 20081204 CVE for SE-2008-06 in PHP 5.2.7 (ZipArchive)
http://www.redhat.com/support/errata/RHSA-2009-0350.html
REDHAT RHSA-2009:0350
http://www.php.net/ChangeLog-5.php#5.2.7 CONFIRM
http://www.securityfocus.com/archive/1/archive/1/501376/100/0/threaded
BUGTRAQ 20090302 rPSA-2009-0035-1 php php-cgi php-imap php-mcrypt php-mysql php-mysqli php-pgsql php-soap php-xsl php5 php5-cgi php5-imap php5-mcrypt php5-mysql php5-mysqli php5-pear php5-pgsql php5-soap php5-xsl
http://www.securityfocus.com/bid/32625
BID 32625 PHP ZipArchive::extractTo() '.zip' Files Directory Traversal Vulnerability Release Date:2010-01-06
http://www.securitytracker.com/id?1021303
SECTRACK 1021303
http://www.sektioneins.de/advisories/SE-2008-06.txt
http://xforce.iss.net/xforce/xfdb/47079
XF php-ziparchive-directory-traversal(47079)
https://www.redhat.com/archives/fedora-package-announce/2009-May/msg01465.html
FEDORA FEDORA-2009-3848
https://www.redhat.com/archives/fedora-package-announce/2009-May/msg01451.html
FEDORA FEDORA-2009-3768
http://marc.info/?l=bugtraq&m=124654546101607&w=2
HP HPSBUX02431
http://lists.opensuse.org/opensuse-security-announce/2009-02/msg00002.html
SUSE SUSE-SR:2009:004
http://archives.neohapsis.com/archives/bugtraq/2008-12/0039.html
BUGTRAQ 20081204 Advisory 06/2008: PHP ZipArchive::extractTo() Directory Traversal Vulnerability

- Metasploit Modules Related To CVE-2008-5658

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.